> For the complete documentation index, see [llms.txt](https://developers.docs.bantufoundation.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.docs.bantufoundation.org/api/resources/operations/object/allow-trust.md).

# Allow Trust

Updates the “authorized” flag of an existing trust line. This must be called by the issuer of the asset.

See the [`Allow Trust` errors](/api/errors/result-codes/operation-specific/allow-trust.md).

&#x20;\- ATTRIBUTE -&#x20;

* asset\_type `string`

  The type of asset. Either `native`, `credit_alphanum4`, or `credit_alphanum12`.
* asset\_code `string`

  The Stellar address of the asset.
* asset\_issuer `string`

  The code for the asset.
* authorize `int`

  Flag indicating whether the trustline is authorized. 0 if the account is not authorized to transact with the asset in any way. 1 if the account is authorized to transact with the asset. 2 if the account is authorized to maintain orders, but not to perform other transactions.
* trustee `string`

  The issuing account, or source account in this instance.
* trustor `string`

  The trusting account, or the account being authorized or unauthorized.

```bash
{
  "_links": {
    "self": {
      "href": "https://expansion-testnet.bantu.network/operations/120497059836067841"
    },
    "transaction": {
      "href": "https://expansion-testnet.bantu.network/transactions/ac8dd0ddf1d047081c8e4c2a7ef9cc38a1a8af6c211184e1b16ebf2e32915d7f"
    },
    "effects": {
      "href": "https://expansion-testnet.bantu.network/operations/120497059836067841/effects"
    },
    "succeeds": {
      "href": "https://expansion-testnet.bantu.network/effects?order=desc\u0026cursor=120497059836067841"
    },
    "precedes": {
      "href": "https://expansion-testnet.bantu.network/effects?order=asc\u0026cursor=120497059836067841"
    }
  },
  "id": "120497059836067841",
  "paging_token": "120497059836067841",
  "transaction_successful": true,
  "source_account": "GCRZQVBBDAWVOCO5R2NI34YR55RO2GQXPTDUE5OZESXGZRRTAEQLKEKN",
  "type": "allow_trust",
  "type_i": 7,
  "created_at": "2020-02-03T14:30:52Z",
  "transaction_hash": "ac8dd0ddf1d047081c8e4c2a7ef9cc38a1a8af6c211184e1b16ebf2e32915d7f",
  "asset_type": "credit_alphanum4",
  "asset_code": "LSV1",
  "asset_issuer": "GCRZQVBBDAWVOCO5R2NI34YR55RO2GQXPTDUE5OZESXGZRRTAEQLKEKN",
  "trustee": "GCRZQVBBDAWVOCO5R2NI34YR55RO2GQXPTDUE5OZESXGZRRTAEQLKEKN",
  "trustor": "GDSYBYRG6NIBJWR7BLY72HYV7VM4A7WWHUJ45FI7H4Q2U2RPR3BB3CFR",
  "authorize": true
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.docs.bantufoundation.org/api/resources/operations/object/allow-trust.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
